diff --git a/healthcheck/neutron-sriov-agent b/healthcheck/neutron-sriov-agent
new file mode 100755
index 000000000..65f212f21
--- /dev/null
+++ b/healthcheck/neutron-sriov-agent
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+. ${HEALTHCHECK_SCRIPTS:-/usr/share/openstack-tripleo-common/healthcheck}/common.sh
+
+process='neutron-sriov-nic-agent'
+args="${@:-5671 5672}"
+
+if healthcheck_port $process $args; then
+  exit 0
+else
+  ports=${args// /,}
+  echo "There is no $process process connected via RabbitMQ ports ($ports) running in the container"
+  exit 1
+fi